static inline void __pmd_free_tlb(struct mmu_gather *tlb, pmd_t *pmdp,
				  unsigned long addr)
{
	struct page *page = virt_to_page(pmdp);

	pgtable_pmd_page_dtor(page);
	#ifdef CONFIG_PTP
	iee_tlb_remove_table(tlb, page);
	#else
	tlb_remove_table(tlb, page);
	#endif
}
